This URL gets the list of active applications.
Resource URL
GET /ntbamonitors/{ntbaId}/activeapplications? TopN=<TopN> &timePeriod=<timePeriod>&startTime=<startTime>&endTime=<endTime>
Request Parameters
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| NTBA monitor id | Number | Yes |
| Number of top rows, default 50. | Number | No |
| Duration: can be
| String | No |
| Start time in the format: yyyy-MM-dd HH:mm | String | No |
| End time in the format: yyyy-MM-dd HH:mm | String | No |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| List of applications | Array |
Details of applications:
Field Name | Description | Data Type |
|---|---|---|
| Application name | String |
| Application id | Number |
| Start time | String |
| Last seen | String |
Example
Request
Response
{
"applications":[{
"applicationName":"FTP",
"applicationId":1191186432,
"starttime":"2013-08-27 16:44:06",
"lastseen":"2013-08-27 16:44:06"}
}]
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 4301 | Invalid duration |
2 | 400 | 4302 | Invalid time format |
3 | 400 | 4303 | Start time is greater than end time |
4 | 400 | 4304 | Invalid date format |
5 | 400 | 4305 | Start/End date is not provided |
6 | 400 | 4306 | Invalid NTBA id |